# Get Specific Robot Account

> Returns information about a robot account, based on the organization and robot account ID.

Returns information about a robot account, based on the organization and robot account ID.

## API Endpoint

`GET` `https://{yourDomain}/identity/api/RobotAccount/{partitionGlobalId}/{robotAccountId}`

## Scopes

Requires the following scopes:

* PM.RobotAccount
* PM.RobotAccount.Read

## Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/orchestrator/standalone/2025.10/api-guide/authentication-methods#authentication-methods).
:::

## Path Parameters

| Path param | Data type | Description |
| --- | --- | --- |
| `partitionGlobalId`  (required) | String | The ID of the organization containing the desired group. |
| `robotAccountID`  (required) | String | The ID of the robot account you want to retrieve. |

## Responses

### 200 OK

The specified robot account information is returned, such as name, creation time, and the group IDs the account is part of.

## Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: https://{yourDomain}/identity
* Your `{access_token}` is: `1234` (for length considerations).
* The `{partitionGlobalId}` is: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
* The `{robotAccountID}` is: `33-ab`

The call should resemble the following example (cURL):

```
curl --location --request GET 'https://{yourDomain}/identity/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
```

Here's the response body for a successful call:

```
{
    "id": "33-ab",
    "name": "Bot3",
    "displayName": "Bot3",
    "creationTime": "2021-10-19T14:25:01.6574988",
    "lastModificationTime": "2021-10-19T14:25:01.6574988",
    "groupIds": [
       "4d161738-7204", "ce684f6f-5af3"
    ]
}
```
